Bug 691774 - (elastix) Review Request: elastix - Toolbox for rigid and nonrigid registration of images
Review Request: elastix - Toolbox for rigid and nonrigid registration of images
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On: InsightToolkit
Blocks: fedora-medical
  Show dependency treegraph
 
Reported: 2011-03-29 09:03 EDT by Mario Ceresa
Modified: 2016-08-30 04:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-30 04:57:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Mock rawhide build log (34.23 KB, text/x-log)
2013-07-21 09:46 EDT, Ankur Sinha (FranciscoD)
no flags Details

  None (edit)
Description Mario Ceresa 2011-03-29 09:03:54 EDT
Spec URL: http://mrceresa.fedorapeople.org/elastix.spec
SRPM URL: http://mrceresa.fedorapeople.org/elastix-4.4-1.fc14.src.rpm
Description: elastix is a program that registers (matches/aligns) images. 
The authors use it in their research on the registration of medical image data, 
but it may be used for any type of images.

It supports many registration methods, composed of various transform models 
(rigid, affine, nonrigid), similarity measures (for example mutual information),
optimisation methods (for example gradient descent), interpolation methods
(nearest neighbour, linear, cubic), and multi-resolution schemes. 
Components can easily be plugged in, to allow the user to configure his/her own
registration methods.

elastix is a command line driven program. Most configuration settings are defined 
in a parameter file. This makes it possible to use scripts that run registrations
with varying parameters, on large databases of images, fully automatically. 
In this way the effect of each parameter can be thoroughly investigated and 
different methods can be compared systematically.

The program is aimed at research environments. For most applications a nice 
graphical user interface will be desired, and optimised parameter settings 
for the specific application

CURRENT ISSUES:
- it bundles libANN. Needs to be removed
- build breaks with make -j 8 on my pc. Manually set to a lower values (-j 4)
- Documentation and examples not really packaged
Comment 1 Ankur Sinha (FranciscoD) 2011-05-12 09:43:53 EDT
We need to wait for the InsightToolKit to be packaged. Updating whiteboard to NotReady.
Comment 2 Mario Ceresa 2011-05-12 13:14:50 EDT
Hi Ankur! 
I've reset the whiteboard: NotReady is for tickets opened without sufficient information for the reviewer. 

Here I've already set the DependsOn: field to ITK

Best,

Mario
Comment 3 Mario Ceresa 2013-07-09 12:21:50 EDT
Now that ITK is available in the repos, it's time to continue with this review. Here there are the new spec and srpm:

Spec URL: https://raw.github.com/mrceresa/fedora_medical/master/elastix/elastix.spec
SRPM URL: http://mrceresa.fedorapeople.org/elastix-4.6-1.fc19.src.rpm
Comment 4 Ankur Sinha (FranciscoD) 2013-07-21 09:46:57 EDT
Created attachment 776457 [details]
Mock rawhide build log

Hi Mario,

The package doesn't build in mock. Can you please take a look at the spec. It may be missing something vxl related since that's where the mock build errors out. Please find the mock build.log attached. I'll continue reviewing the package, but this is a blocker.

Thanks,
Ankur
Comment 5 Mario Ceresa 2016-08-30 04:57:59 EDT
For now, I'm not pursuing this package anymore.
Best,

Mario

Note You need to log in before you can comment on or make changes to this bug.